# Retrieve endpoints

URL: https://docs.emergingtravel.com/docs/affiliate-api/endpoints/retrieve-endpoints/

---



**Sandbox**

```
https://api-sandbox.worldota.net/api/b2b/v3/overview/
```

**Production**

```
https://api.worldota.net/api/b2b/v3/overview/
```




The call gets the list of the ETG API endpoints to which your API key has permission.

> [!NOTE]
> * Increasing limits is possible for a live key after separate approval, depending on the expected sales volume. Please contact our API support team for this.
> * Limits are increased only after certification is completed.



## Sandbox limitations { #limitations }

> [!WARNING]
> Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. <strong>Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.</strong>




Not every call is supported. The available call list depends on a sandbox API key.

## Request example


**Sandbox**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/overview/'
```

**Production**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/overview/'
```




## Response



[//]: # (endpoint)
- **endpoint** *(String)*

  <p>The endpoint URI.</p>


[//]: # (is_active)
- **is_active** *(Boolean)*

  <p>Whether the endpoint is active or not.</p>


[//]: # (is_debug_mode)
- **is_debug_mode** *(Boolean)*

  <p>Whether the debug mode is available or not.</p>


[//]: # (is_limited)
- **is_limited** *(Boolean)*

  <p>Whether the endpoint has a limit for the request in seconds or not.</p>


[//]: # (requests_number)
- **requests_number** *(Int)*

  <p>The maximum number of requests that can be executed within seconds specified in the <code>seconds_number</code> field.</p>


[//]: # (seconds_number)
- **seconds_number** *(Int)*

  <p>The number of seconds within the request can be executed. Shouldn’t exceed the value of the <code>requests_number</code> field.</p>





## Response example

```json
{
  "data": [
    {
      "endpoint": "api/b2b/v3/hotel/incremental_reviews/dump/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 100,
      "seconds_number": 86400
    },
    {
      "endpoint": "api/b2b/v3/general/contract/data/info/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    },
    {
      "endpoint": "api/b2b/v3/ordergroup/create/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    },
    {
      "endpoint": "api/b2b/v3/ordergroup/order/add/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    },
    {
      "endpoint": "api/b2b/v3/ordergroup/order/remove/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    },
    {
      "endpoint": "api/b2b/v3/ordergroup/disband/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    },
    {
      "endpoint": "api/b2b/v3/ordergroup/info/",
      "is_active": true,
      "is_debug_mode": false,
      "is_limited": true,
      "requests_number": 30,
      "seconds_number": 60
    }
  ],
  "debug": null,
  "error": null,
  "status": "ok"
}
```
